org.apache.xerces.impl.xpath

## Class XPath

- java.lang.Object
- - org.apache.xerces.impl.xpath.XPath

Direct Known Subclasses:
  Field.XPath, Selector.XPath

    public class XPath
    extends java.lang.Object

Bare minimum XPath parser.

Version:
  $Id: XPath.java 965250 2010-07-18 16:04:58Z mrglavas $
Author:
  Andy Clark, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Nested Class Summary

Nested Classes
`static class` `XPath.Axis` Axis.
`static class` `XPath.LocationPath` A location path representation for an XPath expression.
`static class` `XPath.NodeTest` Node test.
`static class` `XPath.Step` A location path step comprised of an axis and node test.

### Field Summary

Fields
`protected java.lang.String` `fExpression` Expression.
`protected XPath.LocationPath[]` `fLocationPaths` Location paths.
`protected SymbolTable` `fSymbolTable` Symbol table.

### Constructor Summary

Constructors
Constructor and Description
`XPath(java.lang.String xpath, SymbolTable symbolTable, org.apache.xerces.xni.NamespaceContext context)` Constructs an XPath object from the specified expression.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`XPath.LocationPath` `getLocationPath()` Returns a representation of the first location path for this XPath.
`XPath.LocationPath[]` `getLocationPaths()` Returns a representation of all location paths for this XPath.
`static void` `main(java.lang.String[] argv)` Main program entry.
`java.lang.String` `toString()` Returns a string representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### fExpression

    protected final java.lang.String fExpression

Expression.

#### fSymbolTable

    protected final SymbolTable fSymbolTable

Symbol table.

#### fLocationPaths

    protected final XPath.LocationPath[] fLocationPaths

Location paths.

### Constructor Detail

#### XPath

    public XPath(java.lang.String xpath,
                 SymbolTable symbolTable,
                 org.apache.xerces.xni.NamespaceContext context)
          throws XPathException

Constructs an XPath object from the specified expression.

Throws:
  `XPathException`

### Method Detail

#### getLocationPaths

    public XPath.LocationPath[] getLocationPaths()

Returns a representation of all location paths for this XPath. XPath = locationPath ( '|' locationPath)

#### getLocationPath

    public XPath.LocationPath getLocationPath()

Returns a representation of the first location path for this XPath.

#### toString

    public java.lang.String toString()

Returns a string representation of this object.

Overrides:
  `toString` in class `java.lang.Object`

#### main

    public static void main(java.lang.String[] argv)
                     throws java.lang.Exception

Main program entry.

Throws:
  `java.lang.Exception`